yi-core-0.19.4: Yi editor core library

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Yi.UI.TabBar

Description

Tabs.

Synopsis

- data TabDescr = TabDescr {
  - tabText :: Text
  - tabInFocus :: Bool
  }
- type TabBarDescr = PointedList TabDescr
- tabBarDescr :: Editor -> TabBarDescr
- tabAbbrevTitle :: Text -> Text

# Documentation

data TabDescr Source #

A TabDescr describes the properties of a UI tab independent of the particular GUI in use.

Constructors

TabDescr |

Fields

- tabText :: Text
- tabInFocus :: Bool

#### Instances

Instances details

Show TabDescr Source # |
Instance details Defined in Yi.UI.TabBar Methods showsPrec :: Int -> TabDescr -> ShowS Source # show :: TabDescr -> String Source # showList :: [TabDescr] -> ShowS Source #
Eq TabDescr Source # |
Instance details Defined in Yi.UI.TabBar Methods (==) :: TabDescr -> TabDescr -> Bool Source # (/=) :: TabDescr -> TabDescr -> Bool Source #

type TabBarDescr = PointedList TabDescr Source #

tabBarDescr :: Editor -> TabBarDescr Source #

tabAbbrevTitle :: Text -> Text Source #